com.mapinfo.midev.geometry

## Class InvalidGeometryConversionException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - com.mapinfo.midev.geometry.InvalidGeometryConversionException

All Implemented Interfaces:
  Serializable

    public final class InvalidGeometryConversionException
    extends RuntimeException

Thrown when a geometry cannot be converted from one geometry type to another geometry type.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`InvalidGeometryConversionException(GeometryType firstGeometryType, GeometryType secondGeometryType)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### InvalidGeometryConversionException

    public InvalidGeometryConversionException(GeometryType firstGeometryType,
                                              GeometryType secondGeometryType)